update easymega turn-on script for v2.0
authorBdale Garbee <bdale@gag.com>
Sun, 30 Dec 2018 22:16:29 +0000 (15:16 -0700)
committerBdale Garbee <bdale@gag.com>
Sun, 30 Dec 2018 22:16:29 +0000 (15:16 -0700)
ao-bringup/turnon_easymega
ao-bringup/turnon_easymega_v1.0 [new file with mode: 0755]

index b14ed2a..9de8d98 100755 (executable)
@@ -1,6 +1,8 @@
 #!/bin/sh
 
 PRODUCT=EasyMega
+VERSION=2.0
+REPO=~/altusmetrumllc/Binaries
 
 if [ -x ../ao-tools/ao-flash/ao-flash-stm ]; then
        STMLOAD=../ao-tools/ao-flash/ao-flash-stm
@@ -16,11 +18,8 @@ else
        exit 1
 fi
 
-VERSION=1.0
-REPO=~/altusmetrumllc/Binaries
-
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo "Copyright 2018 by Bdale Garbee.  Released under GPL v2"
 echo
 echo "Expectations:"
 echo "\t$PRODUCT v$VERSION"
diff --git a/ao-bringup/turnon_easymega_v1.0 b/ao-bringup/turnon_easymega_v1.0
new file mode 100755 (executable)
index 0000000..b14ed2a
--- /dev/null
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+PRODUCT=EasyMega
+
+if [ -x ../ao-tools/ao-flash/ao-flash-stm ]; then
+       STMLOAD=../ao-tools/ao-flash/ao-flash-stm
+else
+       echo "Can't find ao-flash-stm!  Aborting."
+       exit 1
+fi
+
+if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
+       USBLOAD=../ao-tools/ao-usbload/ao-usbload
+else
+       echo "Can't find ao-usbload!  Aborting."
+       exit 1
+fi
+
+VERSION=1.0
+REPO=~/altusmetrumllc/Binaries
+
+echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
+echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION"
+echo "\t\twith USB cable attached"
+echo "\t\twith ST-Link-V2 cabled to debug header"
+echo
+
+case $# in
+    1)
+       SERIAL="$1"
+       echo "$PRODUCT-$VERSION serial number: $SERIAL" 
+       ;;
+    0)
+       echo -n "$PRODUCT-$VERSION serial number: "
+       read SERIAL
+       ;;
+    *)
+       echo "Usage: $0 <serial-number>" 1>&2
+       exit 1;
+       ;;
+esac
+
+echo $STMLOAD
+
+$STMLOAD $REPO/loaders/easymega-v$VERSION*.elf || exit 1
+
+sleep 2
+
+$USBLOAD --serial=$SERIAL $REPO/easymega-v$VERSION*.elf || exit 1
+
+sleep 2
+
+dev=`../ao-tools/ao-list/ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
+
+case "$dev" in
+/dev/tty*)
+       echo "$PRODUCT found on $dev"
+       ;;
+*)
+       echo 'No '"$PRODUCT"'-v'"$VERSION"' found'
+       exit 1
+       ;;
+esac
+
+echo 'E 0' > $dev
+
+../ao-tools/ao-cal-accel/ao-cal-accel $dev || exit 1
+
+echo 'E 1' > $dev
+
+./test-easymega
+
+exit $?